#!/bin/bash

for texture in `find ../particle_images | grep -v .svn | grep "jpg\|png" | sort | cut -d"/" -f3-`
do
#    suffix=`echo $texture | cut -d"." -f2-`
    material=`echo $texture | cut -d"." -f1`
    
    scene_blend="alpha_blend"
    tex_address_mode=""
    if [ $material = "exp1" ]
    then
      scene_blend="add"
      tex_address_mode="clamp"
    fi
    if [ $material = "fire_cloud" ]
    then
      tex_address_mode="clamp"
    fi
    if [ $material = "flame" ]
    then
      scene_blend="add"
    fi
    if [ $material = "flaretrail" ]
    then
      scene_blend="add"
    fi
    if [ $material = "shockwave" ]
    then
      tex_address_mode="clamp"
    fi
    if [ $material = "weapon_halo" ]
    then
      tex_address_mode="clamp"
    fi
    
    echo "material particle_materials/$material.material"
    echo "{"
    echo "    technique"
    echo "    {"
    echo "        pass"
    echo "        {"
    echo "            lighting off"
    echo "            scene_blend $scene_blend"
    echo "            depth_write off"
    echo ""
    echo "            texture_unit"
    echo "            {"
    echo "                texture particle_images/$texture"
    if [ -n "$tex_address_mode" ]
    then
    echo "                tex_address_mode $tex_address_mode"
    fi
    echo "            }"
    echo "        }"
    echo "    }"
    echo "}"
    echo ""
done

